## EDU.oswego.cs.dl.util.concurrent.misc
Class PipedChannel

    java.lang.Object
      |
      +--EDU.oswego.cs.dl.util.concurrent.SemaphoreControlledChannel
            |
            +--EDU.oswego.cs.dl.util.concurrent.misc.PipedChannel

All Implemented Interfaces:
  BoundedChannel, Channel, Puttable, Takable

public class PipedChannel
extends SemaphoreControlledChannel

A channel based on a java.io.PipedInputStream and java.io.PipedOutputStream. Elements are serialized using ObjectInputStreams and ObjectOutputStreams upon insertion and extraction from the pipe.

IO Exceptions are transformed into Errors. This is in general not a good idea, but seems to be the most reasonable compromise for the intended usage contexts.

Status Uncertain. There are enough conceptual and implementation snags surrounding use of pipes as Channels to downplay use. However, without such bridges, people would have to duplicate code that should work the same way in both cases.

[ Introduction to this package. ]

Constructor Summary
`PipedChannel()`

Method Summary
`java.lang.Object` `peek()` Stubbed out for now

Methods inherited from class EDU.oswego.cs.dl.util.concurrent.SemaphoreControlledChannel
`capacity, offer, poll, put, size, take`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipedChannel

    public PipedChannel()

Method Detail

### peek

    public java.lang.Object peek()

  Stubbed out for now